
Redmine - Feature #36320

Migrate to Rails 7.2

2021-12-15 05:03 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Related issues:

Related to Redmine - Patch #36317: Set default protect from forgery true Closed

Related to Redmine - Patch #36355: Update roadie-rails to 3.0 Closed

Related to Redmine - Feature #35536: Use webpack to improve javascripts and s... Closed

Related to Redmine - Patch #39110: Replacing request_store with ActiveSupport... Closed

Related to Redmine - Defect #37732: Fix "DEPRECATION WARNING: Rendering actio... Closed

Related to Redmine - Defect #39760: Some API tests fail with Ruby 2.7 Closed

Related to Redmine - Defect #39747: Diff of a javascript file in repository m... Closed

Related to Redmine - Defect #39803: Plugin modules no longer working Needs feedback

Related to Redmine - Defect #39834: Extract tests for plugin autoloading and ... Closed

Related to Redmine - Patch #40148: Update activerecord-sqlserver-adapter to 7.1 Closed

Related to Redmine - Patch #40210: Remove overrides that inserts a non-breaki... Closed

Related to Redmine - Patch #41141: Replace deprecated `ActiveSupport::Depreca... Closed

Related to Redmine - Defect #40528: Hangs when requesting after code changes ... Closed

Associated revisions

Revision 22488 - 2023-11-27 21:58 - Marius BĂLTEANU

Updates Rails to 7.1.2 (#36320).

Patch by Takashi Kato.

Revision 22489 - 2023-11-29 08:11 - Marius BĂLTEANU

Revert r21883 which was an workaround for #37626 (#37732, #36320).

Revision 22490 - 2023-11-30 09:28 - Go MAEDA

Update RuboCop target Rails version to 7.1 (#36320).

Revision 22493 - 2023-12-01 07:59 - Go MAEDA

Fix deprecation warnings regarding the use of ActiveSupport::Deprecation.behavior (#39527, #36320).

Revision 22505 - 2023-12-10 04:10 - Marius BĂLTEANU

Fix autoloading of plugins fails in Rails 7.1.2 (#36320).

Patch by Mizuki ISHIKAWA.

Revision 22506 - 2023-12-10 04:24 - Marius BĂLTEANU

Fix typo (#36320).

Revision 22507 - 2023-12-10 04:34 - Marius BĂLTEANU

Allows configure plugins directory path in order to change the default location in test environment (#36320).

Patch by @tohosaku.
Revision 22508 - 2023-12-10 04:41 - Marius BĂLTEANU

Adds test for plugin autoloading plugins issue (#36320).

Patch by @tohosaku.

Revision 22509 - 2023-12-10 05:01 - Marius BĂLTEANU

Fix failing API tests on Ruby 2.7 after migration to Rails 7.1 (#36320, #39760).

Patch by @maeda-m.

Revision 22510 - 2023-12-11 08:49 - Marius BĂLTEANU

Remove unnecessary line that changes the PluginLoader directory inside plugins_test.rb (#36320).

Revision 22513 - 2023-12-11 11:56 - Marius BĂLTEANU

Refactor integration test for plugins routing (added in r22328) in order to use the new plugins directory path for test environment (#36320).

Revision 22514 - 2023-12-11 11:57 - Marius BĂLTEANU

Block rack-session gem version to 1 in order to stick with Rack 2 (#36320).

Patch by @maeda-m.

Revision 22515 - 2023-12-12 17:26 - Marius BĂLTEANU

Reverts r22507, r22508 and r22510 (#36320, #39803).

Revision 22516 - 2023-12-12 17:45 - Marius BĂLTEANU

Update integration test for plugin routes after r22515 (#36320, #39803).

Revision 22517 - 2023-12-12 17:52 - Marius BĂLTEANU

Fix NoMethodError: undefined method `rake_run' for Rails::TestUnit::Runner:Class (NoMethodError) after updating to Rails 7.1 (#36320, #39803)

Patch by @tohosaku.

Revision 22518 - 2023-12-12 18:56 - Marius BĂLTEANU

Replaces config.cache_classes which the new option config.enable_reloading introduced in Rails 7.1 (#36320)

Revision 22519 - 2023-12-14 08:10 - Marius BĂLTEANU

Revert r22514 (#36320).

Revision 22520 - 2023-12-14 08:13 - Marius BĂLTEANU

Fixes random failing test by using async_count in order to avoid query caching (#36320).

Patch by @maeda-m.

Revision 22522 - 2023-12-17 16:05 - Marius BĂLTEANU

Adds test for plugin autoload issue (#36320, #39834).

Patch by @tohosaku.

Revision 22523 - 2023-12-19 10:43 - Go MAEDA

Fix RuboCop offense Layout/EmptyLineAfterMagicComment (#36320, #39834).

Revision 22524 - 2023-12-20 04:19 - Marius BĂLTEANU

Fixes that redmine:plugins:test should run plugins unit, functional, integration and system tests in one single test session instead of one session for

each type of test. This behaviour was changed in Rails 7.1 because rake test and rails test are integrated (#39803, #36320).

Revision 22525 - 2023-12-20 04:30 - Marius BĂLTEANU

Run plugin tests only if test files exist (#39803, #36320).

Revision 22526 - 2023-12-20 05:35 - Marius BĂLTEANU

Update Rails UJS to 7.1.2  (#36320).
Revision 22555 - 2023-12-24 17:39 - Marius BĂLTEANU

Updates subversion repository fixture with test data for #39747 (#39747, #36320).

Revision 22556 - 2023-12-24 17:44 - Marius BĂLTEANU

Updates number of subversion revisions in test/unit/repository_subversion_test.rb (#39747, #36320).

Revision 22557 - 2023-12-25 02:57 - Marius BĂLTEANU

Updates number of subversion filechanges in test_fetch_changesets_from_scratch (#39747, #36320).

Revision 22563 - 2023-12-26 16:47 - Marius BĂLTEANU

Fixes that diff of a javascript file in repository module is not displayed with layout in Rails 7.1

(#39747, #36320).

Revision 22564 - 2023-12-27 02:17 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundClassBody introduced in r22562 (#39747, #36320).

Revision 22565 - 2023-12-27 07:02 - Go MAEDA

Fix RuboCop offense Style/HashSyntax (Don't mix styles in the same hash) introduced in r22563 (#39747, #36320).

Revision 22615 - 2024-01-21 04:58 - Go MAEDA

Remove backported Rack::RewindableInput.size method due to Rack 3.0 migration (#36320).

Revision 22656 - 2024-01-28 08:32 - Go MAEDA

Update Rails to 7.1.3 (#36320).

Revision 22665 - 2024-01-30 04:35 - Go MAEDA

Update activerecord-sqlserver-adapter to 7.1 (#40148, #36320).

Patch by Yuichi HARADA (@yui.har).

Revision 22736 - 2024-02-26 07:17 - Marius BĂLTEANU

Reverts r22656 until Rails 7.1.4 is released (#36320).

Revision 22960 - 2024-08-20 07:54 - Marius BĂLTEANU

Upgrade to Rails 7.2.0 (#36320).

Patch by Takashi Kato (user:tohosaku).

Revision 22961 - 2024-08-20 07:58 - Marius BĂLTEANU

Replaces removed `ActiveSupport::Deprecation.warn` with custom deprecators (#41141, #36320).

Patch by Takashi Kato (user:tohosaku).

Revision 22962 - 2024-08-20 08:02 - Marius BĂLTEANU

Updates test environment config to mark assertionless tests as failed (#36320).

Patch by Takashi Kato (user:tohosaku).

Revision 22963 - 2024-08-20 08:04 - Marius BĂLTEANU

Ensures desired test adapter is used in Active Job tests (#36320).

Patch by Takashi Kato (user:tohosaku).

Revision 22964 - 2024-08-20 08:06 - Marius BĂLTEANU

Fix flacky test after Rails 7 update which fails occasionally because database records are not ordered, so it is necessary to specify the sort order

when testing (#36320).

Patch by Takashi Kato (user:tohosaku).

Revision 22965 - 2024-08-20 08:09 - Marius BĂLTEANU
Updates activerecord-sqlserver-adapter gem to 7.2.0 (#36320).

Revision 22966 - 2024-08-20 10:39 - Go MAEDA

Fix RuboCop offense Layout/EmptyLinesAroundClassBody (#36320).

Revision 22967 - 2024-08-20 10:41 - Go MAEDA

Fix RuboCop offense Layout/EmptyLineAfterMagicComment (#36320).

Revision 22968 - 2024-08-20 11:04 - Go MAEDA

Fix RuboCop offense Style/UnlessElse (#36320).

Revision 22969 - 2024-08-20 11:09 - Go MAEDA

Fix "missing assertions" warning in test_search_should_be_case_and_accent_insensitive_with_postgresql_and_noaccent_extension (#36320).

Revision 22970 - 2024-08-20 11:15 - Go MAEDA

Update RuboCop target Rails version to 7.2 (#36320).

Revision 22971 - 2024-08-20 11:25 - Go MAEDA

Drop support for Ruby 3.0 due to Rails 7.2 update (#38585, #36320).

Revision 22979 - 2024-08-23 08:59 - Go MAEDA

Upgrade to Rails 7.2.1 (#36320).

Revision 23127 - 2024-10-16 11:06 - Go MAEDA

Upgrade to Rails 7.2.1.1 (#36320).

Revision 23156 - 2024-10-24 01:48 - Go MAEDA

Update Rails to Rails 7.2.1.2 (#36320).

Revision 23171 - 2024-10-31 05:25 - Go MAEDA

Update Rails to 7.2.2 (#36320).

History

#1 - 2021-12-15 05:03 - Go MAEDA

- Related to Patch #36317: Set default protect from forgery true added

#2 - 2021-12-25 09:31 - Go MAEDA

- Related to Patch #36355: Update roadie-rails to 3.0 added

#3 - 2022-01-05 07:57 - Marius BĂLTEANU

- Related to Feature #35536: Use webpack to improve javascripts and stylesheets management added

#4 - 2022-03-20 09:39 - Go MAEDA

- Target version changed from Unplanned backlogs to 6.0.0

#5 - 2022-04-10 15:37 - Takashi Kato

- File 0001-Upgrade-to-Rails-7.patch added

- File 0002-Fix-deprecation-warning.patch added

- File 0003-Replace-to_s-db-to-to_fs-db.patch added

- File 0004-Use-Selenium-WebDriver-Wait.patch added

Simple migration patches.

patches can be applied to r21527

#6 - 2022-05-04 10:26 - Go MAEDA

Thank you for posting the patches.
I think we have to wait until the release of Redmine 5.1.0 to upgrade Rails because 5.1.0 should be Rails 6.1 based.

#7 - 2023-09-24 17:42 - Takashi Kato

- File 0001-Upgrade-to-rails-7.1-beta1.patch added

I've updated a patch that is compatible with Rails 7.1 beta. As for the WebDriver patch, I have linked it to another issue 37558.

#8 - 2023-11-14 10:54 - Jun NAITOH

https://endoflife.date/rails

6.1

(01 Jun 2024)

 https://github.com/rails/rails/pull/46895#issuecomment-1673353127

6.1 is not getting anymore releases unless it's a severe vulnerability and will be EOL next June.

 I think Redmine needs to upgrade to Rails 7 before Rails 6.1 EOL.

#9 - 2023-11-17 04:35 - M T

Not a bad effort there Takashi Kato, I gave your patch a quick go with Rails 7.1 and it seemed to work with standard Redmine 5.1 release branch.

However one thing that got broke is the autoloading of classes and modules from plugin folders, not sure why. Perhaps you could check this out... I

know there have been some subtle changes in this area in Rails. (Also is there a reason you deleted the zeitwerk config line?)

Cheers

MT

#10 - 2023-11-17 06:14 - Minoru Maeda

- File 20231117_36320.patch added

Takashi Kato wrote in #note-7:

I've updated a patch that is compatible with Rails 7.1 beta. As for the WebDriver patch, I have linked it to another issue 37558.

 Thank you for the great patch. I applied the 0001-Upgrade-to-rails-7.1-beta1.patch to r22429@trunk and ran tests, but some of them failed.

test/integration/sudo_mode_test.rb

I think this is the behavior reported at https://www.redmine.org/issues/39110.

test/integration/api_test/my_test.rb and test/integration/api_test/news_test.rb

It seems there is a problem where XML and JSON requests don't return the expected content-type.

test/unit/project_nested_set_concurrency_test.rb:34

It looks like assert_difference is evaluated without waiting for the Thread to finish.

Based on the patch you posted, I made corrections so that test/integration/api_test would pass. Also, I updated to Rails v7.1.2, which was released on

November 10, 2023.

However, the failures in test/integration/sudo_mode_test.rb and test/unit/project_nested_set_concurrency_test.rb have not been resolved.

I hope this helps.

#11 - 2023-11-17 08:27 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#12 - 2023-11-20 01:24 - Marius BĂLTEANU

- Related to Patch #39110: Replacing request_store with ActiveSupport::CurrentAttributes added

#13 - 2023-11-27 22:01 - Marius BĂLTEANU

- Subject changed from Migrate to Rails 7 to Migrate to Rails 7.1

- Status changed from New to Resolved

- Resolution set to Fixed
I've committed the patch that updates Rails to 7.1.2 on trunk. Thanks  Takashi Kato for your work!

#14 - 2023-11-28 13:13 - Takashi Kato

- File 0001-Fix-autoloading-plugin-classes.patch added

A fix included in rails 7.1.2 (https://github.com/rails/rails/pull/49636) causes autoloading of plugins to fail.

A patch to fix this is attached.

#15 - 2023-11-28 13:32 - Marius BĂLTEANU

Thanks!

Can you take a look also on the failing tests from here? I will do it as well this week.

#16 - 2023-11-28 15:44 - Takashi Kato

- File 0001v2-Fix-autoloading-plugin-classes.patch added

Sorry for your time.

It is difficult to fix autoload_paths after initialize, so I've changed the method.

#17 - 2023-11-29 08:10 - Marius BĂLTEANU

- Related to Defect #37732: Fix "DEPRECATION WARNING: Rendering actions with '.' in the name is deprecated" in RepositoriesController added

#18 - 2023-11-29 11:32 - Mischa The Evil

Takashi Kato wrote in #note-16:

Sorry for your time.

It is difficult to fix autoload_paths after initialize, so I've changed the method.

Just my two cents on this patch:

This somewhat seems to converge with #24007 (albeit not as a user config option directly) and as such has the issue mentioned in 

#24007#note-13 that 'plugins' directory remains hard-coded in source:/trunk/Gemfile@22489#L125.

The comments included in this patch contain a typo (s/tesr/test).

#19 - 2023-12-07 03:39 - Mizuki ISHIKAWA

Takashi Kato wrote in #note-16:

Sorry for your time.

It is difficult to fix autoload_paths after initialize, so I've changed the method.

 I was conducting an investigation without realizing that a patch had already been posted. Akira Matsuda assisted me in this research.

The problem is likely to have been caused by the changes to https://github.com/rails/rails/commit/ebfca905db .

The following changes will also solve the problem:

diff --git a/lib/redmine/plugin_loader.rb b/lib/redmine/plugin_loader.rb

index 2151e949b..e1b58baa7 100644

--- a/lib/redmine/plugin_loader.rb

+++ b/lib/redmine/plugin_loader.rb

@@ -126,7 +126,7 @@ module Redmine

         # Add the plugin directories to rails autoload paths

         engine_cfg = Rails::Engine::Configuration.new(directory.to_s)

         engine_cfg.paths.add 'lib', eager_load: true

-        engine_cfg.eager_load_paths.each do |dir|

+        engine_cfg.all_eager_load_paths.each do |dir|

           Rails.autoloaders.main.push_dir dir

           Rails.application.config.watchable_dirs[dir] = [:rb]

         end

 https://github.com/redmica/redmica_ui_extension plugin can reproduce autoloading-related problems.

#20 - 2023-12-10 04:13 - Marius BĂLTEANU

Thanks Takashi Kato and Mizuki ISHIKAWA for investigating this issue, I've committed the fix with all_eager_load_paths because it seems to call

both methods eager_load_paths + paths.eager_load.
#21 - 2023-12-10 04:41 - Marius BĂLTEANU

Committed also the test and the changes required for the test to pass, thanks!

#22 - 2023-12-10 04:44 - Marius BĂLTEANU

Mischa The Evil wrote in #note-18:

[...]

Just my two cents on this patch:

This somewhat seems to converge with #24007 (albeit not as a user config option directly) and as such has the issue mentioned in 

#24007#note-13 that 'plugins' directory remains hard-coded in source:/trunk/Gemfile@22489#L125.

 It looks like we are close to support changing the "plugins" directory path from the configuration file, but we still need more time to invest in order to

properly support and document this change.

#23 - 2023-12-10 04:54 - Marius BĂLTEANU

- Related to Defect #39760: Some API tests fail with Ruby 2.7 added

#24 - 2023-12-10 04:58 - Marius BĂLTEANU

- Related to Defect #39747: Diff of a javascript file in repository module is not displayed with layout  added

#25 - 2023-12-10 05:07 - Marius BĂLTEANU

It seems that after this update, some concurrency tests randomly fail, for example:

https://www.redmine.org/builds/logs/build_trunk_postgresql_ruby-3.2_878.html

https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-3.2_877.html

https://www.redmine.org/builds/logs/build_trunk_mysql_ruby-3.2_878.html (pass)

Is someone able to reproduce the problem on the local environment?

#26 - 2023-12-10 16:23 - Marius BĂLTEANU

- Related to Defect #39803: Plugin modules no longer working added

#27 - 2023-12-11 01:45 - Minoru Maeda

Marius BALTEANU wrote in #note-25:

Is someone able to reproduce the problem on the local environment?

 I encountered a test failure in project_nested_set_concurrency_test.rb on my M2 chip MacBook Air using a Docker environment (with postgres:14.9

and ruby:2.7.8).

I'm not sure of the reason, but it seems to be related to https://github.com/rack/rack-session#compatibility. After modifying the Gemfile as follows and

running bundle update, the test for project_nested_set_concurrency_test.rb passed with the seed value that previously led to failure.

diff --git a/Gemfile b/Gemfile

index 908c32343..d5870ad95 100644

--- a/Gemfile

+++ b/Gemfile

@@ -3,6 +3,7 @@ source 'https://rubygems.org'

 ruby '>= 2.7.0', '< 3.3.0'

 gem 'rails', '7.1.2'

+gem 'rack-session', '~> 1.0'

 gem 'rouge', '~> 4.2.0'

 gem 'mini_mime', '~> 1.1.0'

 gem "actionpack-xml_parser" 

#28 - 2023-12-12 17:21 - Marius BĂLTEANU

- Related to Defect #39834: Extract tests for plugin autoloading and Restore Plugin directory settings added

#29 - 2023-12-13 02:51 - Minoru Maeda

Minoru Maeda wrote in #note-27:

I'm not sure of the reason, but it seems to be related to https://github.com/rack/rack-session#compatibility. After modifying the Gemfile as follows
and running bundle update, the test for project_nested_set_concurrency_test.rb passed with the seed value that previously led to failure.

 I've discovered the reason for the failure of the test in project_nested_set_concurrency_test.rb. The issue appears to be that assert_difference is

evaluating Project.count based on cached SQL values, leading to the test failure.

Implementing the following modifications to trunk@ r22518 should resolve the issue, allowing the test in project_nested_set_concurrency_test.rb to

pass. Note that my environment with PostgreSQL 14 and Ruby 2.7.

diff --git a/Gemfile b/Gemfile

index d5870ad95..908c32343 100644

--- a/Gemfile

+++ b/Gemfile

@@ -3,7 +3,6 @@ source 'https://rubygems.org'

 ruby '>= 2.7.0', '< 3.3.0'

 gem 'rails', '7.1.2'

-gem 'rack-session', '~> 1.0'

 gem 'rouge', '~> 4.2.0'

 gem 'mini_mime', '~> 1.1.0'

 gem "actionpack-xml_parser" 

diff --git a/test/unit/project_nested_set_concurrency_test.rb b/test/unit/project_nested_set_concurrency_test.

rb

index e835d2b50..077731040 100644

--- a/test/unit/project_nested_set_concurrency_test.rb

+++ b/test/unit/project_nested_set_concurrency_test.rb

@@ -38,7 +38,7 @@ class ProjectNestedSetConcurrencyTest < ActiveSupport::TestCase

     p = generate_project!

     p.destroy

-    assert_difference 'Project.count', 60 do

+    assert_difference 'Project.async_count.value', 60 do

       threads = []

       3.times do |i|

         threads << Thread.new(i) do

#30 - 2023-12-14 08:13 - Marius BĂLTEANU

Minoru Maeda wrote in #note-29:

Minoru Maeda wrote in #note-27:

I'm not sure of the reason, but it seems to be related to https://github.com/rack/rack-session#compatibility. After modifying the Gemfile as

follows and running bundle update, the test for project_nested_set_concurrency_test.rb passed with the seed value that previously led to

failure.

 I've discovered the reason for the failure of the test in project_nested_set_concurrency_test.rb. The issue appears to be that assert_difference is

evaluating Project.count based on cached SQL values, leading to the test failure.

Implementing the following modifications to trunk@ r22518 should resolve the issue, allowing the test in project_nested_set_concurrency_test.rb

to pass. Note that my environment with PostgreSQL 14 and Ruby 2.7.

[...]

 Thanks, committed!

#31 - 2023-12-20 04:33 - Marius BĂLTEANU

- Status changed from Resolved to Closed

The update to Rails 7.1 is finally completed, please report any problem in new issue.

Thanks again to all contributors involved in this update!

#34 - 2023-12-20 04:49 - Mischa The Evil

- Private changed from Yes to No

#35 - 2024-01-30 04:33 - Go MAEDA

- Related to Patch #40148: Update activerecord-sqlserver-adapter to 7.1 added
#36 - 2024-02-01 05:26 - Go MAEDA

- Status changed from Closed to Reopened

A test is failing after updating Rails to 7.1.3 in r22665.

Error:

ProjectNestedSetConcurrencyTest#test_concurrency:

NoMethodError: undefined method `-' for #<ActiveRecord::Promise status=complete>

    test/unit/project_nested_set_concurrency_test.rb:41:in `test_concurrency'

bin/rails test test/unit/project_nested_set_concurrency_test.rb:34

 This is caused by the following Rails issue. I am waiting for the release of Rails 7.1.4.

Rails 7.1.3: async_count returns a completed Promise instead of the value · Issue #50776 · rails/rails

#37 - 2024-02-08 09:28 - Go MAEDA

- Related to Patch #40210: Remove overrides that inserts a non-breaking space (nbsp) to empty option elements added

#38 - 2024-02-26 07:17 - Marius BĂLTEANU

Go MAEDA wrote in #note-36:

A test is failing after updating Rails to 7.1.3 in r22665.

[...]

This is caused by the following Rails issue. I am waiting for the release of Rails 7.1.4.

Rails 7.1.3: async_count returns a completed Promise instead of the value · Issue #50776 · rails/rails

 I've reverted the update to 7.1.3 until Rails 7.1.4 is released in order to have all the tests pass.

#39 - 2024-08-07 11:24 - Jun NAITOH

https://github.com/rails/rails/pull/52471#issuecomment-2271622034

6.1 will reach end-of-life in October 2024.

For 7.0, it will be April 2025

For 7.1, it will be October 2025.

 I think Redmine needs to upgrade to Rails 7.x before Rails 6.1 EOL.

#40 - 2024-08-20 01:00 - Takashi Kato

- File 0001-Upgrade-to-Rails-7.2.0.patch added

- File 0002-Fix-for-https-github.com-rails-rails-pull-47354.patch added

- File 0003-Fix-for-https-github.com-rails-rails-pull-51625.patch added

- File 0004-Fix-for-https-github.com-rails-rails-pull-48585.patch added

- File 0005-Fix-order-when-retrieving-records.patch added

patches for Rails 7.2 and fix for a flaky test.

#41 - 2024-08-20 08:02 - Marius BĂLTEANU

- Related to Patch #41141: Replace deprecated `ActiveSupport::Deprecation.warn` with custom deprecation object added

#42 - 2024-08-20 08:06 - Marius BĂLTEANU

- Subject changed from Migrate to Rails 7.1 to Migrate to Rails 7.2

Takashi Kato, thanks again for your work on this, I've committed all the patches.

#43 - 2024-08-31 09:25 - Marius BĂLTEANU

- Status changed from Reopened to Closed

#44 - 2024-11-07 17:33 - Marius BĂLTEANU

- Related to Defect #40528: Hangs when requesting after code changes in development mode added

2025-08-23 9/10

https://www.redmine.org/projects/redmine/repository/svn/revisions/22665
https://github.com/rails/rails/issues/50776
https://www.redmine.org/projects/redmine/repository/svn/revisions/22665
https://github.com/rails/rails/issues/50776
https://github.com/rails/rails/pull/52471#issuecomment-2271622034
https://www.redmine.org/users/486714


Files

0001-Upgrade-to-Rails-7.patch 5.05 KB 2022-04-10 Takashi Kato

0002-Fix-deprecation-warning.patch 5.73 KB 2022-04-10 Takashi Kato

0004-Use-Selenium-WebDriver-Wait.patch 1.58 KB 2022-04-10 Takashi Kato

0003-Replace-to_s-db-to-to_fs-db.patch 10.9 KB 2022-04-10 Takashi Kato

0001-Upgrade-to-rails-7.1-beta1.patch 25.7 KB 2023-09-24 Takashi Kato

20231117_36320.patch 26.1 KB 2023-11-17 Minoru Maeda

0001-Fix-autoloading-plugin-classes.patch 2.83 KB 2023-11-28 Takashi Kato

0001v2-Fix-autoloading-plugin-classes.patch 4.66 KB 2023-11-28 Takashi Kato

0001-Upgrade-to-Rails-7.2.0.patch 3.7 KB 2024-08-19 Takashi Kato

0002-Fix-for-https-github.com-rails-rails-pull-47354.patch 4.69 KB 2024-08-19 Takashi Kato

0003-Fix-for-https-github.com-rails-rails-pull-51625.patch 10.3 KB 2024-08-19 Takashi Kato

0004-Fix-for-https-github.com-rails-rails-pull-48585.patch 1.85 KB 2024-08-19 Takashi Kato

0005-Fix-order-when-retrieving-records.patch 1.19 KB 2024-08-19 Takashi Kato
